# Uses of Interface
org.springframework.jdbc.core.simple.JdbcClient

Packages that use JdbcClient
Package
Description
org.springframework.jdbc.core.simple
Simplification layer for common JDBC interactions.

## Uses of JdbcClient in org.springframework.jdbc.core.simple

Methods in org.springframework.jdbc.core.simple that return JdbcClient
Modifier and Type
Method
Description
`static JdbcClient`
JdbcClient.`create(DataSource dataSource)`
Create a `JdbcClient` for the given `DataSource`.
`static JdbcClient`
JdbcClient.`create(JdbcOperations jdbcTemplate)`
Create a `JdbcClient` for the given `JdbcOperations` delegate, typically an `JdbcTemplate`.
`static JdbcClient`
JdbcClient.`create(NamedParameterJdbcOperations jdbcTemplate)`
Create a `JdbcClient` for the given `NamedParameterJdbcOperations` delegate, typically an `NamedParameterJdbcTemplate`.